For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Api Keys
      • POSTCreate Api Key
      • GETGet Api Key
      • DELDelete Api Key
      • PATCHUpdate Api Key
      • PATCHRotate Api Key
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceapi-keys

List Api Keys

GET
/api/v1/api-keys
GET
/api/v1/api-keys
$curl https://api.onepin.ai/api/v1/api-keys \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
5 "workspace_id": "7b9e1d2a-4f3c-4d2a-9f1e-8a2b3c4d5e6f",
6 "created_by": "d290f1ee-6c54-4b01-90e6-d701748f0851",
7 "name": "Production API Key",
8 "key_type": "read-only",
9 "key_prefix": "pk_live_",
10 "key_suffix": "9f8e7d6c",
11 "scopes": [
12 "workflows:read",
13 "voices:read",
14 "workspace:read"
15 ],
16 "active": true,
17 "last_used_at": "2024-04-20T14:22:00Z",
18 "rate_limit_per_min": 1000,
19 "revoked_at": null,
20 "created_at": "2023-11-01T08:00:00Z",
21 "updated_at": "2024-04-15T10:00:00Z",
22 "preview": "pk_live_9f8e7d6c"
23 }
24 ],
25 "meta": {
26 "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
27 "timestamp": "2024-04-21T12:00:00Z"
28 },
29 "pagination": {
30 "limit": 50,
31 "total": 120,
32 "next": "https://api.onepin.ai/api/v1/api-keys?offset=1&limit=50",
33 "prev": null
34 }
35}
List API keys for the current workspace without secret material.
Was this page helpful?
Previous

Create Api Key

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token

Headers

X-Workspace-Idstring or nullOptional

Query parameters

offsetintegerOptional>=0Defaults to 0
limitintegerOptional1-100Defaults to 50
statusenumOptional

API-key list status filter. Defaults to currently usable keys. revoked returns unavailable keys (active=false or revoked_at is set); all returns all workspace API-key metadata rows.

Allowed values:

Response

Successful Response
datalist of objects
metaobject
paginationobject
PaginationMeta variant for endpoints that compute an unpaginated total.

Errors

422
Unprocessable Entity Error